[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Tue Feb 5 17:40:47 UTC 2019


    Date: Tuesday, February 5, 2019 @ 17:40:47
  Author: felixonmars
Revision: 429649

addpkg: libeatmydata 105.r16.g96f8f0e-1

Added:
  libeatmydata/
  libeatmydata/repos/
  libeatmydata/trunk/
  libeatmydata/trunk/PKGBUILD

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Added: libeatmydata/trunk/PKGBUILD
===================================================================
--- libeatmydata/trunk/PKGBUILD	                        (rev 0)
+++ libeatmydata/trunk/PKGBUILD	2019-02-05 17:40:47 UTC (rev 429649)
@@ -0,0 +1,38 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: goetzc
+# Contributor: Jonathan Squirawski <sky at sky-co.de>
+
+pkgname=libeatmydata
+pkgver=105.r16.g96f8f0e
+_commit=96f8f0e8291cbc0131529fcb03d4c7df1fe7792c
+pkgrel=1
+pkgdesc='Library and utilities designed to disable fsync and friends.'
+arch=('i686' 'x86_64')
+url='https://github.com/stewartsmith/libeatmydata'
+license=('GPL3')
+depends=('bash')
+makedepends=('git')
+source=("git+https://github.com/stewartsmith/${pkgname}/#commit=$_commit")
+md5sums=('SKIP')
+
+pkgver() {
+  cd libeatmydata
+  git describe --tags | sed 's/^libeatmydata-//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+build() {
+  cd libeatmydata
+  autoreconf -i
+  ./configure --prefix=/usr --libexecdir=/usr/lib/libeatmydata
+  make
+}
+
+check() {
+  cd libeatmydata
+  make check || warning "Tests need strace permission to run"
+}
+
+package() {
+  cd libeatmydata
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list